Page MenuHomePhabricator

[Flang] Move markdown files(.MD) from documentation/ to docs/
ClosedPublic

Authored by sameeranjoshi on Aug 13 2020, 2:08 AM.

Details

Summary

Other LLVM sub-projects use docs/ folder for documentation files.
Follow LLVM project policy.

Modify documentation/ references in sources to docs/.
This patch doesn't modify to reStructuredText(.rst) file format.

Diff Detail

Unit TestsFailed

TimeTest
330 mslinux > LLVM.CodeGen/AMDGPU/GlobalISel::andn2.ll
Script: -- : 'RUN: at line 2'; /mnt/disks/ssd0/agent/llvm-project/build/bin/llc -global-isel -mtriple=amdgcn-mesa-mesa3d -mcpu=tahiti < /mnt/disks/ssd0/agent/llvm-project/llvm/test/CodeGen/AMDGPU/GlobalISel/andn2.ll | /mnt/disks/ssd0/agent/llvm-project/build/bin/FileCheck -check-prefixes=GCN,GFX6 /mnt/disks/ssd0/agent/llvm-project/llvm/test/CodeGen/AMDGPU/GlobalISel/andn2.ll
320 mslinux > LLVM.CodeGen/AMDGPU/GlobalISel::orn2.ll
Script: -- : 'RUN: at line 2'; /mnt/disks/ssd0/agent/llvm-project/build/bin/llc -global-isel -mtriple=amdgcn-mesa-mesa3d -mcpu=tahiti < /mnt/disks/ssd0/agent/llvm-project/llvm/test/CodeGen/AMDGPU/GlobalISel/orn2.ll | /mnt/disks/ssd0/agent/llvm-project/build/bin/FileCheck -check-prefixes=GCN,GFX6 /mnt/disks/ssd0/agent/llvm-project/llvm/test/CodeGen/AMDGPU/GlobalISel/orn2.ll
440 mslinux > LLVM.CodeGen/AMDGPU/GlobalISel::xnor.ll
Script: -- : 'RUN: at line 2'; /mnt/disks/ssd0/agent/llvm-project/build/bin/llc -global-isel -march=amdgcn -mcpu=gfx700 -verify-machineinstrs < /mnt/disks/ssd0/agent/llvm-project/llvm/test/CodeGen/AMDGPU/GlobalISel/xnor.ll | /mnt/disks/ssd0/agent/llvm-project/build/bin/FileCheck -check-prefixes=GCN,GFX7 /mnt/disks/ssd0/agent/llvm-project/llvm/test/CodeGen/AMDGPU/GlobalISel/xnor.ll
420 mswindows > LLVM.CodeGen/AMDGPU/GlobalISel::andn2.ll
Script: -- : 'RUN: at line 2'; c:\ws\w64\llvm-project\premerge-checks\build\bin\llc.exe -global-isel -mtriple=amdgcn-mesa-mesa3d -mcpu=tahiti < C:\ws\w64\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\GlobalISel\andn2.ll | c:\ws\w64\llvm-project\premerge-checks\build\bin\filecheck.exe -check-prefixes=GCN,GFX6 C:\ws\w64\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\GlobalISel\andn2.ll
410 mswindows > LLVM.CodeGen/AMDGPU/GlobalISel::orn2.ll
Script: -- : 'RUN: at line 2'; c:\ws\w64\llvm-project\premerge-checks\build\bin\llc.exe -global-isel -mtriple=amdgcn-mesa-mesa3d -mcpu=tahiti < C:\ws\w64\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\GlobalISel\orn2.ll | c:\ws\w64\llvm-project\premerge-checks\build\bin\filecheck.exe -check-prefixes=GCN,GFX6 C:\ws\w64\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\GlobalISel\orn2.ll
View Full Test Results (6 Failed)

Event Timeline

sameeranjoshi created this revision.Aug 13 2020, 2:08 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 13 2020, 2:08 AM
sameeranjoshi requested review of this revision.Aug 13 2020, 2:08 AM
This revision is now accepted and ready to land.Aug 14 2020, 5:45 AM
sscalpone requested changes to this revision.Aug 14 2020, 8:24 AM

I think you missed one.

This revision now requires changes to proceed.Aug 14 2020, 8:24 AM

I think you missed one.

I didn't find what did I miss.
@sscalpone Can you please point what is missing?

Fix review comments.

sscalpone accepted this revision.Aug 17 2020, 2:53 PM
This revision is now accepted and ready to land.Aug 17 2020, 2:53 PM